Bug 125763 - Network config crashes (won't even start)
Network config crashes (won't even start)
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2004-06-10 19:03 EDT by C. Peterson
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-01 10:37:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description C. Peterson 2004-06-10 19:03:44 EDT
From Bugzilla Helper:
User-Agent: Opera/7.51 (X11; Linux i586; U)  [en]

Description of problem:
I just upgraded to Fedora Core 2 from Red Hat 9, I enter the root 
password to enter the network configuration, and the utility won't 
even start, displaying a crash list.

The crash dump is attached.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Upgrade to FC2 from rh9
2.Use menu button to go to Network under System Settings

Actual Results:  Crash Window Appears with pertinent information 
shown in attachment.

Expected Results:  The network config window should appear.

Additional info:
Comment 1 C. Peterson 2004-06-10 19:04:42 EDT
Component: system-config-network
Version: 1.3.16
Summary: TBd9d48f1f NewInterfaceDialog.py:27:?:ImportError: 
/usr/lib/libgnomevfs-2.so.0: undefined symbol: 
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 135, in main
    import netconfpkg.gui.GUI_functions
/netconfpkg/gui/__init__.py", line 36, in ?
  File "<string>", line 1, in ?
/netconfpkg/gui/NewInterfaceDialog.py", line 27, in ?
ImportError: /usr/lib/libgnomevfs-2.so.0: undefined symbol: 

Local variables in innermost frame:
FALSE: False
signal: <module 'signal' (built-in)>
__builtins__: {'help': Type help() for interactive help, or 
help(object) for help about object., 'vars': <built-in function 
vars>, 'SyntaxError': <class exceptions.SyntaxError at 0x1ffd277c>, 
'unicode': <type 'unicode'>, 'UnicodeDecodeError': <class exceptions.
UnicodeDecodeError at 0x1ffd2cbc>, 'isinstance': <built-in function 
isinstance>, 'copyright': Copyright (c) 2001, 2002, 2003 Python 
Software Foundation.
All Rights Reserved.

Copyright (c) 2000 BeOpen.com.
All Rights Reserved.

Copyright (c) 1995-2001 Corporation for National Research 
All Rights Reserved.

Copyright (c) 1991-1995 Stichting Mathematisch Centrum, Amsterdam.
All Rights Reserved., 'NameError': <class exceptions.NameError at 
0x1ffd265c>, 'dict': <type 'dict'>, 'input': <built-in function 
input>, 'oct': <built-in function oct>, 'SystemExit': <class 
exceptions.SystemExit at 0x1ffd232c>, 'StandardError': <class 
exceptions.StandardError at 0x1ffd22cc>, 'repr': <built-in function 
repr>, 'IndexError': <class exceptions.IndexError at 0x1ffd28fc>, 
'False': False, 'RuntimeWarning': <class exceptions.RuntimeWarning at 
0x1ffd2fbc>, 'list': <type 'list'>, 'iter': <built-in function iter>, 
'reload': <built-in function reload>, 'Warning': <class exceptions.
Warning at 0x1ffd2e3c>, 'round': <built-in function round>, 'dir': 
<built-in function dir>, 'cmp': <built-in function cmp>, 'reduce': 
<built-in function reduce>, 'intern': <built-in function intern>, 
'issubclass': <built-in function issubclass>, 'Ellipsis': Ellipsis, 
'hash': <built-in function hash>, 'locals': <built-in function 
locals>, 'slice': <type 'slice'>, 'FloatingPointError': <class 
exceptions.FloatingPointError at 0x1ffd2aac>, 'sum': <built-in 
function sum>, 'OverflowWarning': <class exceptions.OverflowWarning 
at 0x1ffd2f8c>, 'getattr': <built-in function getattr>, 'abs': 
<built-in function abs>, 'exit': 'Use Ctrl-D (i.e. EOF) to exit.', 
'True': True, 'FutureWarning': <class exceptions.FutureWarning at 
0x1ffe702c>, 'None': None, 'EOFError': <class exceptions.EOFError at 
0x1ffd253c>, 'len': <built-in function len>, 'credits': Thanks to 
CWI, CNRI, BeOpen.com, Zope Corporation and a cast of thousands
for supporting Python development.  See www.python.org for more 
information., '__name__': '__builtin__', 'ord': <built-in function 
ord>, 'super': <type 'super'>, '_': <bound method i18n.gettext of 
<rhpl.translate.i18n instance at 0x1ffb4b6c>>, 'TypeError': <class 
exceptions.TypeError at 0x1ffd22fc>, 'license': Type license() to see 
the full license text, 'KeyboardInterrupt': <class exceptions.
KeyboardInterrupt at 0x1ffd238c>, 'UserWarning': <class exceptions.
UserWarning at 0x1ffd2e6c>, 'filter': <built-in function filter>, 
'range': <built-in function range>, 'staticmethod': <type 
'staticmethod'>, 'SystemError': <class exceptions.SystemError at 
0x1ffd2ddc>, 'pow': <built-in function pow>, 'RuntimeError': <class 
exceptions.RuntimeError at 0x1ffd256c>, 'float': <type 'float'>, 
'StopIteration': <class exceptions.StopIteration at 0x1ffd229c>, 
'globals': <built-in function globals>, 'divmod': <built-in function 
divmod>, 'enumerate': <type 'enumerate'>, 'apply': <built-in function 
apply>, 'LookupError': <class exceptions.LookupError at 0x1ffd28cc>, 
'open': <type 'file'>, 'quit': 'Use Ctrl-D (i.e. EOF) to exit.', 
'basestring': <type 'basestring'>, 'UnicodeError': <class exceptions.
UnicodeError at 0x1ffd2b6c>, 'zip': <built-in function zip>, 'hex': 
<built-in function hex>, 'long': <type 'long'>, 'ReferenceError': 
<class exceptions.ReferenceError at 0x1ffd2dac>, 'ImportError': 
<class exceptions.ImportError at 0x1ffd23ec>, 'chr': <built-in 
function chr>, '__import__': <built-in function __import__>, 'type': 
<type 'type'>, '__doc__': "Built-in functions, exceptions, and other 
objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents 
`...' in slices.", 'Exception': <class exceptions.Exception at 
0x1ffd226c>, 'tuple': <type 'tuple'>, 'UnicodeTranslateError': <class 
exceptions.UnicodeTranslateError at 0x1ffd2d4c>, 
'UnicodeEncodeError': <class exceptions.UnicodeEncodeError at 
0x1ffd2bfc>, 'IOError': <class exceptions.IOError at 0x1ffd247c>, 
'hasattr': <built-in function hasattr>, 'delattr': <built-in function 
delattr>, 'setattr': <built-in function setattr>, 'raw_input': 
<built-in function raw_input>, 'SyntaxWarning': <class exceptions.
SyntaxWarning at 0x1ffd2f5c>, 'compile': <built-in function compile>, 
'ArithmeticError': <class exceptions.ArithmeticError at 0x1ffd298c>, 
'str': <type 'str'>, 'property': <type 'property'>, 'MemoryError': 
<class exceptions.MemoryError at 0x1ffd2e0c>, 'int': <type 'int'>, 
'xrange': <type 'xrange'>, 'KeyError': <class exceptions.KeyError at 
0x1ffd295c>, 'coerce': <built-in function coerce>, 
'PendingDeprecationWarning': <class exceptions.
PendingDeprecationWarning at 0x1ffd2f2c>, 'file': <type 'file'>, 
'EnvironmentError': <class exceptions.EnvironmentError at 
0x1ffd241c>, 'unichr': <built-in function unichr>, 'id': <built-in 
function id>, 'OSError': <class exceptions.OSError at 0x1ffd24dc>, 
'DeprecationWarning': <class exceptions.DeprecationWarning at 
0x1ffd2ecc>, 'min': <built-in function min>, 'execfile': <built-in 
function execfile>, 'complex': <type 'complex'>, 'bool': <type 
'bool'>, 'ValueError': <class exceptions.ValueError at 0x1ffd2b0c>, 
'NotImplemented': NotImplemented, 'map': <built-in function map>, 
'buffer': <type 'buffer'>, 'max': <built-in function max>, 'object': 
<type 'object'>, 'TabError': <class exceptions.TabError at 
0x1ffd283c>, 'callable': <built-in function callable>, 
'ZeroDivisionError': <class exceptions.ZeroDivisionError at 
0x1ffd2a1c>, 'eval': <built-in function eval>, '__debug__': True, 
'IndentationError': <class exceptions.IndentationError at 
0x1ffd280c>, 'AssertionError': <class exceptions.AssertionError at 
0x1ffd289c>, 'classmethod': <type 'classmethod'>, 
'UnboundLocalError': <class exceptions.UnboundLocalError at 
0x1ffd26bc>, 'NotImplementedError': <class exceptions.
NotImplementedError at 0x1ffd25cc>, 'AttributeError': <class 
exceptions.AttributeError at 0x1ffd274c>, 'OverflowError': <class 
exceptions.OverflowError at 0x1ffd29bc>}
TRUE: True
gtk: <module 'gtk' from '/usr/lib/python2.3/site-packages/gtk-2.
__name__: netconfpkg.gui.NewInterfaceDialog
os: <module 'os' from '/usr/lib/python2.3/os.pyc'>
__doc__: None
Comment 2 Harald Hoyer 2004-06-14 04:57:46 EDT
This seems to be the problem:
/usr/lib/libgnomevfs-2.so.0: undefined symbol: 

Comment 3 Jonathan Blandford 2004-06-14 11:53:02 EDT
Huh?  How are you getting that?  That symbol appears to be defined in
libORBIT-2.  What do:

rpm -q ORBit-2
rpm -q gnome-vfs2
rpm -q system-config-packages

say?  For that matter, does doing rpm -V of each package tell you
anything interesting?
Comment 4 C. Peterson 2004-06-15 11:36:40 EDT
Here you go:

[root@studionkk root]# rpm -q ORBit-2
package ORBit-2 is not installed
[root@studionkk root]# rpm -q gnome-vfs2
[root@studionkk root]# rpm -q system-config-packages
[root@studionkk root]#

[root@studionkk root]# rpm -V ORBit-2
/etc/security/selinux/file_contexts: No such file or directory
package ORBit-2 is not installed
[root@studionkk root]# rpm -V gnome-vfs2
/etc/security/selinux/file_contexts: No such file or directory
[root@studionkk root]# rpm -V system-config-packages
/etc/security/selinux/file_contexts: No such file or directory
[root@studionkk root]#
Comment 5 Jonathan Blandford 2004-06-15 11:49:51 EDT
bah.  You'll have to boot with selinux off to run rpm -V.  Also, I
miswrote the name of ORBit -- it's ORBit2 not ORBit-2.

For that matter, does system-config-network work with selinux off?
Comment 6 Matthew Miller 2005-04-26 11:08:48 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 7 Alexander Larsson 2006-09-01 10:37:19 EDT
Never seen in later versions.

Note You need to log in before you can comment on or make changes to this bug.